<?php
header('Content-Type: application/json');
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}

$foto = "";
$nombrefoto = "";

if( $_REQUEST["foto"] ) {$nombrefoto = $_REQUEST['foto'];}
if (isset($_FILES['archivofoto']) && !empty($_FILES['archivofoto']))
{
        $val = $_FILES['archivofoto'];
        $sql = $nombrefoto;
		  $foto1nom = $val['name'];
		  $foto1tmp = $val['tmp_name'];
		  $ruta_archivo = pathinfo($nombrefoto);        
		  $ruta_base = $ruta_archivo["dirname"];
		  $nombre_archivo = $ruta_archivo["basename"];        
		  $ruta_completa = $_SERVER['DOCUMENT_ROOT'] .  $ruta_base;
		  $target_file = $ruta_completa . "/" . $nombre_archivo;
		  $target_file = str_replace("/\\","/",$target_file);  
		  $uploadOk = 1;
		  $imageFileType = pathinfo($target_file,PATHINFO_EXTENSION);
		  if (file_exists($target_file)) {
				 $uploadOk = 0;
		  }
		  if ($val["size"] > 5000000) {
			   $uploadOk = 0;
		  }
		  if(strtolower($imageFileType) != "jpg" && strtolower($imageFileType) != "png" && strtolower($imageFileType) != "jpeg" ) {
			  $uploadOk = 0;
		  }
		  if ($uploadOk == 1) {
		   move_uploaded_file($foto1tmp, $target_file);
		  }   
}

mysqli_close($con);
$resultado = array(
   'mensaje'=> $sql
   );
echo json_encode($resultado);
?>
